X2Go Bug report logs - #865
New API call for nxcom (nx-libs) NXTransCleanupForReconnect

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Nito Martinez <Nito@Qindel.ES>

Date: Thu, 7 May 2015 22:45:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version 3.5.0.28

Fixed in version 3.5.99.0

Forwarded to https://github.com/ArcticaProject/nx-libs/pull/25

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#865; Package nx-libs. (Thu, 07 May 2015 22:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <Nito@Qindel.ES>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 07 May 2015 22:45:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Nito Martinez <Nito@Qindel.ES>
To: submit@bugs.x2go.org
Subject: New API call for nxcom (nx-libs) NXTransCleanupForReconnect
Date: Fri, 08 May 2015 00:40:24 +0200
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.28

Description:

The following patch includes support for a new API call 
NXTransCleanupForReconnect, which basically clears the state of nxcomp 
proxy side (modified nxproxy), so that a reconnection is possible.

Rationale:

Usually nxproxy clears the status of the connection by doing an exit and 
launching a new nxproxy. This strategy does not work for applications in 
IOS which do not allow forking.

Special care has been taking to not modify any of the other nxcomp code.

Regards,

Nito
[Message part 2 (text/html, inline)]
[nxcomp-reconnect.patch (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#865; Package nx-libs. (Fri, 08 May 2015 10:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 May 2015 10:10:02 GMT) Full text and rfc822 format available.

Message #10 received at 865@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <Nito@qindel.es>, 865@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#865: New API call for nxcom (nx-libs) NXTransCleanupForReconnect
Date: Fri, 08 May 2015 10:07:29 +0000
[Message part 1 (text/plain, inline)]
Hi Nito,

On  Fr 08 Mai 2015 00:40:24 CEST, Nito Martinez wrote:

> Package: nx-libs
> Version: 3.5.0.28
>
> Description:
>
> The following patch includes support for a new API call  
> NXTransCleanupForReconnect, which basically clears the state of  
> nxcomp proxy side (modified nxproxy), so that a reconnection is  
> possible.
>
> Rationale:
>
> Usually nxproxy clears the status of the connection by doing an exit  
> and launching a new nxproxy. This strategy does not work for  
> applications in IOS which do not allow forking.
>
> Special care has been taking to not modify any of the other nxcomp code.
>
> Regards,
>
> Nito

This is a nice patch! Please also provide a PR on Github against 3.6.x  
branch on https://github.com/ArcticaProject/nx-libs for this patch.

I will then merge it and recommend it for backporting to 3.5.0.x.

This feature is actually a very cool thing for the Arctica redesign of  
remote desktop computing via NX.

Question: have you tested connection setup changes (speed, compression  
algo, etc.) in connection with NXTransCleanupForReconnect? As I  
understand your patch, it should well facilitate roaming between  
networks (switching from cable to Wifi to GSM and stuff like that),  
right?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:48:11 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#865; Package nx-libs. (Mon, 29 Feb 2016 07:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 29 Feb 2016 07:25:02 GMT) Full text and rfc822 format available.

Message #17 received at 865@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <Nito@qindel.es>, 865@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#865: New API call for nxcom (nx-libs) NXTransCleanupForReconnect
Date: Mon, 29 Feb 2016 07:24:14 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 fixed-upstream
Control: fixed -1 3.5.99.0
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/pull/25

On  Fr 08 Mai 2015 00:40:24 CEST, Nito Martinez wrote:

> Package: nx-libs
> Version: 3.5.0.28
>
> Description:
>
> The following patch includes support for a new API call  
> NXTransCleanupForReconnect, which basically clears the state of  
> nxcomp proxy side (modified nxproxy), so that a reconnection is  
> possible.
>
> Rationale:
>
> Usually nxproxy clears the status of the connection by doing an exit  
> and launching a new nxproxy. This strategy does not work for  
> applications in IOS which do not allow forking.
>
> Special care has been taking to not modify any of the other nxcomp code.
>
> Regards,
>
> Nito

This patch has been applied to 3.6.x branch of nx-libs a while ago...
https://github.com/ArcticaProject/nx-libs/pull/25

Backporting to 3.5.x is optional, not especially recommended here. As  
we plan to release nx-libs 3.6.x in June 2016, I reckon that backport  
this patch is not release critical for TheQVD.

@Nito, if it is, please give feedback. Thanks.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 865-submit@bugs.x2go.org. (Mon, 29 Feb 2016 07:25:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 865-submit@bugs.x2go.org. (Mon, 29 Feb 2016 07:25:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/pull/25'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 865-submit@bugs.x2go.org. (Mon, 29 Feb 2016 07:25:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 11:18:31 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.